Package org.jboss.resteasy.plugins.server.servlet

## Class ConfigurationBootstrap

- java.lang.Object
- - org.jboss.resteasy.plugins.server.servlet.ConfigurationBootstrap

- All Implemented Interfaces:
    `ResteasyConfiguration`
  Direct Known Subclasses:
    `ListenerBootstrap`

      public abstract class ConfigurationBootstrap
      extends Object
      implements ResteasyConfiguration

  Create a deployment from String-based configuration data
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigurationBootstrap()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ResteasyDeployment` | `createDeployment()` |
    `String` | `getParameter​(String name)` | i.e.
    `protected boolean` | `parseBooleanParam​(String key, String value)` |
    `protected Map<String,​String>` | `parseMap​(String map)` |
    `protected void` | `processJndiComponentResources​(String jndiResources)` |
    `protected void` | `processJndiResources​(String jndiResources)` |
    `protected void` | `processResources​(String list)` |
    `protected void` | `processScannedJndiComponentResources​(String jndiResources)` |
    `protected void` | `processScannedResourceClassesWithBuilder​(String scannedResourceClassesWithBuilder)` |
    `protected void` | `processUnwrapped​(String list)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.resteasy.spi.ResteasyConfiguration

      `getInitParameter, getInitParameterNames, getParameterNames`

- - ### Constructor Detail

    - #### ConfigurationBootstrap

          public ConfigurationBootstrap()

  - ### Method Detail

    - #### createDeployment

          public ResteasyDeployment createDeployment()

    - #### parseBooleanParam

          protected boolean parseBooleanParam​(String key,
                                              String value)

    - #### parseMap

          protected Map<String,​String> parseMap​(String map)

    - #### processJndiResources

          protected void processJndiResources​(String jndiResources)

    - #### processJndiComponentResources

          protected void processJndiComponentResources​(String jndiResources)

    - #### processScannedResourceClassesWithBuilder

          protected void processScannedResourceClassesWithBuilder​(String scannedResourceClassesWithBuilder)

    - #### processScannedJndiComponentResources

          protected void processScannedJndiComponentResources​(String jndiResources)

    - #### processResources

          protected void processResources​(String list)

    - #### processUnwrapped

          protected void processUnwrapped​(String list)

    - #### getParameter

          public String getParameter​(String name)

      Description copied from interface: `ResteasyConfiguration`
      i.e. Servlet init-param first is searched, then servlet context.
      Specified by:
        `getParameter` in interface `ResteasyConfiguration`
      Parameters:
        `name` - parameter name
      Returns:
        parameter value